<div class="container">
    <h2 class="text-center">Add/Edit your product here</h2>

    <form novalidate
          (ngSubmit)="save()"
          [formGroup]="productForm">

        <div class="form-group">
            <label for="title">Product Name</label>
            <input class="form-control"
                   id="title"
                   type="text"
                   placeholder="Enter title"
                   formControlName="title"
                   [ngClass]="{'is-invalid': (productForm.get('title').touched ||
                                                productForm.get('title').dirty) &&
                                                !productForm.get('title').valid}"/>
            <span class="invalid-feedback">
                        <span *ngIf="productForm.get('title').errors?.required">
                            Please enter the product name.
                        </span>
                        <span *ngIf="productForm.get('title').errors?.minlength">
                            Product name must be greater than 5 characters.
                        </span>
                    </span>
        </div>

        <div class="form-group">
            <label for="content">Description</label>
            <textarea class="form-control"
                      id="content"
                      rows="3"
                      formControlName="content"
                      [ngClass]="{'is-invalid': (productForm.get('content').touched ||
                                                productForm.get('content').dirty) &&
                                                !productForm.get('content').valid}"></textarea>

            <span class="invalid-feedback">
                 <span *ngIf="productForm.get('content').errors?.required">
                     Some description is needed.
                 </span>
             </span>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text">Rs.</span>
            </div>
            <input type="number"
                   class="form-control"
                   formControlName="price"
                   aria-label="Amount (to the nearest rupees)" placeholder="Enter Price"
                   [ngClass]="{'is-invalid': (productForm.get('price').touched ||
                                                productForm.get('price').dirty) &&
                                                !productForm.get('price').valid}"/>
            <span class="invalid-feedback">
                 <span *ngIf="productForm.get('price').errors?.required">
                     Price is needed.
                 </span>
                 <span *ngIf="productForm.get('price').errors?.max">
                     Only products costing less than Rs. 5,00,000 can be added.
                 </span>
             </span>

            <div class="input-group-append">
                <span class="input-group-text">.00</span>
            </div>
        </div>

        <div class="form-group">
            <label for="image">Upload Image</label>
            <input id="image"
                   type="file"
                   class="form-control-file"
                   (change)="onFileSelect($event.target.files)"
                   [ngClass]="{'is-invalid': (productForm.get('image').touched ||
                                                        productForm.get('image').dirty) &&
                                                        !productForm.get('image').valid}"/>
            <span class="invalid-feedback">
                         <span *ngIf="productForm.get('image').errors?.required">
                             Image of the product is required.
                         </span>
                     </span>
        </div>

        <button class="btn btn-primary"
                type="submit"
                style="width:80px"
                [title]="productForm.valid ? 'Save your entered data' : 'Disabled until the form data is valid'"
                [disabled]="!productForm.valid">
            Save
        </button>
    </form>
</div>

